Package ru.bitel.bgbilling.kernel.tariff.common.bean

# Class TariffGroup

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.tariff.common.bean.TariffGroup

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class TariffGroup extends IdTitle implements ListItem, Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TRANSFER_DAY`
  `static final int`
  `TRANSFER_DAY_FROM_TOMORROW`
  `static final int`
  `TRANSFER_MONTH`
  `static final int`
  `TRANSFER_WEEK`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffGroup()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPlanList(int tariffId, String tariffTitle, Date date1, Date date2, String comment)`
  Нормальный вариант доступа к инкапсулированной в модели коллекции.
  `int`
  `getDaysForward()`
  `int`
  `getDomainId()`
  `List<TariffGroupTariff>`
  `getPlanList()`
  Список элементов группы тарифов.
  `int`
  `getPos()`
  `int`
  `getTransferMode()`
  `void`
  `setDaysForward(int daysForward)`
  `void`
  `setDomainId(int domainId)`
  `void`
  `setPlanList(List<TariffGroupTariff> list)`
  `void`
  `setPos(int pos)`
  `void`
  `setTransferMode(int transferMode)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId, getTitle`

- ## Field Details

  - ### TRANSFER_DAY

    public static final int TRANSFER_DAY
    See Also:
      - Constant Field Values

  - ### TRANSFER_WEEK

    public static final int TRANSFER_WEEK
    See Also:
      - Constant Field Values

  - ### TRANSFER_MONTH

    public static final int TRANSFER_MONTH
    See Also:
      - Constant Field Values

  - ### TRANSFER_DAY_FROM_TOMORROW

    public static final int TRANSFER_DAY_FROM_TOMORROW
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TariffGroup

    public TariffGroup()

- ## Method Details

  - ### getPos

    public int getPos()

  - ### setPos

    public void setPos(int pos)

  - ### getPlanList

    public List<TariffGroupTariff> getPlanList()
    Список элементов группы тарифов.
    Returns:
      unmodifiable collection.

  - ### getTransferMode

    public int getTransferMode()

  - ### getDaysForward

    public int getDaysForward()

  - ### getDomainId

    public int getDomainId()

  - ### setDomainId

    public void setDomainId(int domainId)

  - ### addPlanList

    public void addPlanList(int tariffId, String tariffTitle, Date date1, Date date2, String comment)
    Нормальный вариант доступа к инкапсулированной в модели коллекции. Добавление элемента.
    Parameters:
      `tariffId` - ид тарифа
      `tariffTitle` - заголовок тарифа (уже приджойнится из таблицы тарифов)
      `date1` - (начало периода)
      `date2` - (конец периода)

  - ### setPlanList

    public void setPlanList(List<TariffGroupTariff> list)

  - ### setTransferMode

    public void setTransferMode(int transferMode)

  - ### setDaysForward

    public void setDaysForward(int daysForward)